# Clientes

Clientes (pessoas físicas ou jurídicas) atendidos pela sua operação. Permite manter o cadastro completo, anexos e endereços usados como destino das tarefas.

## Consultar cliente

 - [GET /customers/{id}](https://developer.auvo.com.br/openapi/api-reference/clientes/retrieve-a-customer.md): Returns the details of a single Customer identified by its unique identifier.

## Editar cliente

 - [PATCH /customers/{id}](https://developer.auvo.com.br/openapi/api-reference/clientes/edit-a-customer.md): To update a Customer, send a JSONPatchDocument with updated value for one or more of the CustomerPatch attributes.
JsonPatch example: { "op": "replace", "path": "name", "value": "New Name" }

## Excluir cliente

 - [DELETE /customers/{id}](https://developer.auvo.com.br/openapi/api-reference/clientes/delete-a-customer.md): Removes a Customer from your account by its unique identifier. This operation cannot be undone.

## Adicionar novo cliente

 - [POST /customers](https://developer.auvo.com.br/openapi/api-reference/clientes/add-a-new-customer.md): Creates a new Customer in your account using the data provided in the request body.

## Criar ou atualizar cliente

 - [PUT /customers](https://developer.auvo.com.br/openapi/api-reference/clientes/upsert-a-customer.md): Update or register a new customer according to one of its identifier, id OR externalId. If identifierBycpfCnpj is true, also uses cpfCnpj as identifier.

## Listar clientes

 - [GET /customers](https://developer.auvo.com.br/openapi/api-reference/clientes/retrieve-a-list-of-customers.md): Returns a paginated list of Customers registered in your account. Use the query parameters to filter, sort and paginate results.

## Adicionar novo cliente completo

 - [POST /customers/complete](https://developer.auvo.com.br/openapi/api-reference/clientes/add-a-new-customer-complete.md): Register a customer with complete data including billing information, observations, and team associations by name.

## Criar ou atualizar cliente completo

 - [PUT /customers/complete](https://developer.auvo.com.br/openapi/api-reference/clientes/upsert-a-customer-complete.md): Same as Upsert but with complete data including billing information.

## Atualizar anexos do cliente

 - [PUT /customers/{id}/attachments](https://developer.auvo.com.br/openapi/api-reference/clientes/update-customer-attachments.md): Updates the data of an existing Customer Attachments identified by its unique identifier.

